Rails.application.routes.draw do
  resources :users, only: [:new, :create]
  get 'login', to: 'sessions#new'
  get 'logout', to: 'sessions#delete'
  post 'login', to: 'sessions#create'
  get 'welcome', to: 'sessions#welcome'
  get 'password_recovery/:id/:recovery_code', to: 'users#password_recovery'
  get 'password_recovery', to: 'users#password_recovery_email'
  post 'password_recovery', to: 'users#send_password_recovery_email'
  post 'recover_password', to: 'users#recover_password'
  resources :books
end
